package models

import (
   // "gorm.io/gorm"

	"go-admin/common/models"
)

type OrgClubUser struct {
    models.Model
    
    UserId string `json:"userId" gorm:"type:bigint(20);comment:UserId"` 
    ClubId string `json:"clubId" gorm:"type:bigint(20);comment:ClubId"` 
    models.ModelTime
    models.ControlBy
}

func (OrgClubUser) TableName() string {
    return "org_club_user"
}

func (e *OrgClubUser) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *OrgClubUser) GetId() interface{} {
	return e.Id
}